import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSAttributedString } from "../Foundation/NSAttributedString.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _AXDataAxisDescriptor } from "./AXDataAxisDescriptor.js";
import type { AXNumericDataAxisDescriptorScale } from "./AXNumericDataAxisDescriptorScale.js";
export declare class _AXNumericDataAxisDescriptor extends _NSObject {
    static alloc(): _AXNumericDataAxisDescriptor;
    static new(): _AXNumericDataAxisDescriptor;
    init(): _AXNumericDataAxisDescriptor;
    initWithTitle$lowerBound$upperBound$gridlinePositions$valueDescriptionProvider$(title: _NSString, lowerbound: number, upperBound: number, gridlinePositions: _NSArray | null, valueDescriptionProvider: (arg0: number) => _NSString): _AXNumericDataAxisDescriptor;
    initWithAttributedTitle$lowerBound$upperBound$gridlinePositions$valueDescriptionProvider$(attributedTitle: _NSAttributedString, lowerbound: number, upperBound: number, gridlinePositions: _NSArray | null, valueDescriptionProvider: (arg0: number) => _NSString): _AXNumericDataAxisDescriptor;
    /**
     * The scale to use for this axis. This should match the visual representation in the chart. If not set explicitly, this will default to `linear`.
     */
    scaleType(): AXNumericDataAxisDescriptorScale;
    setScaleType$(value: AXNumericDataAxisDescriptorScale): void;
    /** The minimum displayable value for the axis. */
    lowerBound(): number;
    setLowerBound$(value: number): void;
    /** The maximum displayable value for the axis. */
    upperBound(): number;
    setUpperBound$(value: number): void;
    /**
     * Provides a value description to be spoken for a particular data value on this axis. Use this to format data values to string representations that include units, dates, times, etc.
     */
    valueDescriptionProvider(): (arg0: number) => _NSString;
    setValueDescriptionProvider$(value: (arg0: number) => _NSString): void;
    /** The positions of any gridlines along this axis. */
    gridlinePositions(): _NSArray;
    setGridlinePositions$(value: _NSArray): void;
}
export interface _AXNumericDataAxisDescriptor extends _AXDataAxisDescriptor {
}
